#
# spec file for package parted (Version 1.6.25.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel reiserfs rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           parted
BuildRequires:  e2fsprogs-devel readline-devel reiserfs
%define aclocaldir	/usr/share/aclocal
License:        GPL
Group:          System/Filesystems
Summary:        GNU partitioner
Version:        1.6.25.1
Release:        15.2
Source0:        %{name}-%{version}.tar.bz2
Patch:          parted.diff
Patch1:         fat-resize-verbose.diff
Patch2:         always-resize-part.dif
Patch3:         parted-1.6.11-type.patch
Patch4:         parted-1.6.2-mac.patch 
Patch6:         parted-1.6.3-wipeaix.patch
Patch7:         parted-1.6.11-conf.patch
Patch8:         disable_FAT_check.diff
Patch13:        parted-1.6.6-vio.patch
Patch14:        etherd_support.diff
Patch15:        device_map_support.diff
Patch18:        sgi_dvh_fix.patch
Patch19:        fat16_hfs_fix.dif
Patch20:        always_print_geom.diff
Patch21:        format-bug.diff
Patch22:        mac_flag_raid.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.gnu.org/software/parted/
PreReq:         %install_info_prereq

%description
GNU Parted is a program for creating, destroying, resizing, checking,
and copying partitions, and the file systems on them.



Authors:
--------
    Andrew Clausen <clausen@gnu.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Filesystems
Requires:       e2fsprogs-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Andrew Clausen <clausen@gnu.org>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7
%patch8
%patch13 -p1
%patch14 -p0
%patch15 -p0
#%patch18 -p2
%patch19 -p1  
%patch20
%patch21
%patch22 -p1

%build
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
CFLAGS="$RPM_OPT_FLAGS" 		\
	./configure 			\
		--prefix=%{_prefix} 	\
		--sbindir=%{_sbindir} 	\
		--infodir=%{_infodir} 	\
		--mandir=%{_mandir} 	\
		--libdir=%_libdir	\
		--disable-Werror
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
/sbin/ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO
%{_prefix}/share/locale/*/*/*
%{_sbindir}/*
%{_mandir}/man8/part*.8.gz
%lang(pt)%{_mandir}/pt_BR
%{_libdir}/*.so.*
%doc %{_infodir}/*.info*

%files devel
%defattr(-,root,root)
%doc doc/API doc/FAQ doc/FAT
%{_prefix}/include/*
%{aclocaldir}/*
%{_libdir}/*.a*
%{_libdir}/*.la*
%{_libdir}/*.so

%changelog -n parted
* Mon Mar 27 2006 - fehr@suse.de
- Add patch from Olaf Hering to support raid flag on mac disklabel
  (#160084)
* Mon Mar 06 2006 - schwab@suse.de
- Fix format string.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 06 2005 - fehr@suse.de
- update to new version 1.6.25.1
* Wed Nov 09 2005 - fehr@suse.de
- update to new version 1.6.25
- make parted correctly refuse to resize inconsistent fat
  filesystems even if env var YAST_IS_RUNNING is set (#132967)
* Thu Sep 08 2005 - fehr@suse.de
- fix wrong permissions of brazilian man page (#114849)
* Mon Aug 15 2005 - fehr@suse.de
- update to new version 1.6.24
* Wed Aug 03 2005 - fehr@suse.de
- make parted print BIOS geometry also if no disk label is present
  (#100444)
* Thu Jul 28 2005 - fehr@suse.de
- update to new version 1.6.23
* Tue Jul 19 2005 - pkirsch@suse.de
- fix fat16 minimum requirements
- fix mac partition handling
* Thu Apr 07 2005 - fehr@suse.de
- update to new version 1.6.22
* Wed Mar 16 2005 - fehr@suse.de
- prevent shifted start sect when resizing with unknown fs (#73008)
* Mon Jan 17 2005 - fehr@suse.de
- fix typo in input_sector.patch
- update to new version 1.6.21
* Thu Jan 13 2005 - fehr@suse.de
- allow creation of partitions by exact sector number (#49276)
* Tue Jan 11 2005 - fehr@suse.de
- update to new version 1.6.20
* Mon Nov 29 2004 - fehr@suse.de
- update to new version 1.6.19
- add reiserfs to needforbuild
* Mon Nov 22 2004 - fehr@suse.de
- update to new version 1.6.18
* Mon Nov 08 2004 - fehr@suse.de
- update to new version 1.6.16
* Tue Oct 26 2004 - fehr@suse.de
- add patch by SGI for documentation of dvh-disklabel (#47611)
* Wed Sep 29 2004 - fehr@suse.de
- add support for ATA over ethernet
- add support for partitioning device-mapper devices (for dmraid)
* Mon Sep 20 2004 - fehr@suse.de
- update to new version 1.6.15
* Thu Sep 16 2004 - fehr@suse.de
- greatly simplify always-resize-part.dif by using
  ped_constraint_exact
* Wed Sep 15 2004 - fehr@suse.de
- prevent unwanted modifying of partition start and end due to
  alignment constraints during resize (#45013, #44699)
* Mon Sep 06 2004 - fehr@suse.de
- update to new version 1.6.14
* Mon Sep 06 2004 - fehr@suse.de
- update to new version 1.6.13
* Mon Aug 16 2004 - fehr@suse.de
- update to new version 1.6.12
* Mon Apr 26 2004 - fehr@suse.de
- update to new version 1.6.11
* Wed Mar 31 2004 - meissner@suse.de
- Detect viodasd virtual disks on iSeries. #37521
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Oct 20 2003 - fehr@suse.de
- fix printing of partitions larger than 1TB in size (#32319)
* Fri Sep 12 2003 - fehr@suse.de
- extend parted to handle User-mode virtual block devices (#30375)
* Mon Sep 08 2003 - fehr@suse.de
- do not warning about too new GPT version if running under YaST2
  and too new version is 0x00010200 (#29563)
* Mon Jul 28 2003 - fehr@suse.de
- update to new version 1.6.6
* Thu Jun 19 2003 - ro@suse.de
- build with current gettext
* Thu Jun 12 2003 - fehr@suse.de
- add missing dir to filelist
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Mar 20 2003 - fehr@suse.de
- display also partitions of type Apple_Free on Macintosh
* Mon Feb 24 2003 - fehr@suse.de
- update to new version 1.6.5
* Mon Feb 17 2003 - fehr@suse.de
- Use env var YAST_IS_RUNNING instead if YAST2_RUNNING for checking
  if parted is called by YAST2
* Fri Feb 07 2003 - fehr@suse.de
- Use %%install_info macro
* Mon Feb 03 2003 - fehr@suse.de
- disable check for string "FAT" in boot sector since it makes
  parted fail on some IDE disks with TurboLinux installed (#19401)
* Tue Dec 10 2002 - fehr@suse.de
- update to new version 1.6.4
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Mon Sep 23 2002 - meissner@suse.de
- recognize AIX IPL signatures in MSDOS labels and mark these labels
  invalid. Also overwrite the AIX IPL signature on "mklabel" (#20039).
* Mon Sep 02 2002 - fehr@suse.de
- fix bug occuring sometimes when resizing reiserfs from YaST2
  (bug was in patch always-resize-part.dif)
* Tue Aug 13 2002 - fehr@suse.de
- update to parted 1.6.3
* Thu Aug 08 2002 - fehr@suse.de
- add patch to ignore /proc/sys/kernel/real-root-dev and do a stat
  on "/" instead. real-root-dev does not always contain a valid
  entry
* Tue Aug 06 2002 - meissner@suse.de
- redid patch for partition ids on MAC with some API additions
  to make it 64bit clean.
* Thu Aug 01 2002 - fehr@suse.de
- add patch by Marcus Meissner to show partition type on MACs
* Thu Jul 25 2002 - fehr@suse.de
- add patch by Marcus Meissner to show and set partition id on dos
  label
* Tue Jul 16 2002 - schwab@suse.de
- Update to parted 1.6.2, needed for ia64.
* Tue Jul 02 2002 - meissner@suse.de
- rerun auto* tools
* Thu Jun 27 2002 - fehr@suse.de
- make setting flags lvm and raid to off work
* Mon Jun 10 2002 - fehr@suse.de
- add patch to resize also partitions with unkown fs under YaST2
* Tue May 07 2002 - fehr@suse.de
- update to 1.4.24
- add patch to be verbose when resizing fat under YaST2
* Tue May 07 2002 - ro@suse.de
- fixed specfile: no macro allowed in Version: line
* Fri Apr 26 2002 - coolo@suse.de
- use %%_libdir
* Mon Sep 03 2001 - kkaempf@suse.de
- update to 1.4.18
  compiles now with gcc 3.x and new autoconf/automake.
  support for ext3.
  lots of minor fixes, see ChangeLog in source.
* Thu May 10 2001 - freitag@suse.de
- Added documentation to filelist, Bug# 6115
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 30 2001 - tom@suse.de
- Change to new version 1.4.11
  Removed configure patch (not needed anymore)
  Removed gettextize (doesn't build)
  Changed shared libraries to new state in file list
* Thu Apr 12 2001 - ro@suse.de
- gettextize for new gettext
* Wed Apr 04 2001 - kukuk@suse.de
- Add shared libraries to filelist for intel
* Fri Mar 23 2001 - schwab@suse.de
- Fix configure check for sizeof off_t.
- Enable shared libs for x86 now that llseek.c rubbish is not
  needed any more.
* Fri Feb 23 2001 - uli@suse.de
- enabled shared libs for non-x86 archs (see libparted/llseek.c for
  explanation why this doesn't work for x86)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Jan 12 2001 - tom@suse.de
- update to version 1.4.6
* Wed Jan 03 2001 - tom@suse.de
- update to version 1.4.5
* Mon Dec 04 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri Dec 01 2000 - tom@suse.de
- update to version 1.4.4
* Tue Nov 21 2000 - tom@suse.de
- update to version 1.4.2
* Thu Nov 09 2000 - ro@suse.de
- fixed neededforbuild
* Tue Oct 10 2000 - tom@suse.de
- initial version, GNU parted 1.2.9
